README
===
## Intro
This simple app is primarily useful as a learning tool but for a simple office, it can be a starting point.  The use of sqlite3 is to ease the understanding of a database connection within ExpressJS where more robust databases (eg. MySQL, Postgres) could be used.

a) Registering users: The site is designed to have its users registered by one user called 'admin'. Registered users have access to private pages but not to the registeration page other than 'admin' whose starting password is 'a123s'.
One can change the password, by doing the following:
1. Start the app: npm run dev and go to http://localhost:5000
2. Login in with 'admin' and go to 'Register'
3. Create a new user called 'admin2' and a new password.
4. Stop the app [ctl-c] and open the database - Win10: .\sqlite3 db.sqlite3
and establishing the new password by doing the following two commands:
DELETE FROM users WHERE username = 'admin';
UPDATE users SET username = 'admin' WHERE username = 'admin2';

b) Contact Page to be functional: One needs to change the settings for: EMAILUSER, EMAILPWD and EMAILHOST.

## To start
Start the app: npm run dev and go to http://localhost:5000

## Install Dependencies
npm i express nodemon body-parser cookie-parser dotenv eta express nodemailer sqlite3 connect-flash

## Useful SQLite3 commands
One needs to install sqlite3 first, (tools version recommended): 
https://www.sqlite.org/download.html for Win10: [choose sqlite-tools-win32-x86 ...zip]
https://www.sqlitetutorial.net/

Win10: .\sqlite3 db.sqlite3
.dump
drop table users;
CREATE TABLE IF NOT EXISTS users ( username TEXT UNIQUE, hashed_password BLOB, salt BLOB, name TEXT);

// username= 'admin' password='a123s'
INSERT INTO users VALUES('admin',X'89d1e9019bbe4c8f215e046aa4a141ebf21b21e9607dede071ed6430f6aaceb1',X'b9a481ada34bdc5fe9b343aaa058ab13',NULL); 
