module.exports.isAuth = (req, res, next) => {
  if (req.isAuthenticated()) {
	  next();
  } else {
	  res.render('login', {
            message: 'Please login to continue',
            messageClass: 'alert-danger',
			title: 'Login'
        });
  }
};

module.exports.isAdmin = (req, res, next) => {
if (req.user.username === 'admin') {
	  next();
  } else {
	  res.render('private/priv1', {
            message: 'You are not authorized to use this resource',
            messageClass: 'alert-danger',
			title: 'Denied'
        });
  }

};